---
search:
  tags:
    - database-services
    - POST
seo:
  description: >-
    Set the cluster read-only and delete one… Reference for the POST
    /api/v1/database-services/{id}/emergency-space endpoint in the TimescaleDB
    Enterprise API.
  noindex: true
sidebar:
  label: Free emergency space
  badge: POST
title: Free emergency space
type: openapi-operation
---
Set the cluster read-only and delete one balloon file on a node.

`POST /api/v1/database-services/{id}/emergency-space`

**Request body** (`application/json`, required)

- `files` (string[]) — Balloon files to delete; empty deletes the first present file
- `server_id` (string) — PostgreSQL node whose balloon files are deleted

Request body example:

```json
{
  "files": [
    "string"
  ],
  "server_id": "string"
}
```

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "available_bytes": 0,
  "freed_before_read_only": true,
  "freed_bytes": 0,
  "freed_files": [
    "string"
  ],
  "freed_root_file": "string",
  "read_only": true,
  "warning": "string"
}
```
